﻿Copyright (c) 2019 Fluke Corporation                        MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Final Cal V11.10 & Later RS-232 /O_CAL
DATE:                  2019-03-06 15:26:00
AUTHOR:                Fluke
REVISION:              $Revision: 26644 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       460
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#        Tektronix THS3000 Series Oscilloscopes
#        Performance Verification and Adjustments
#        Technical Reference
#        077-0606-01
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Initial cal step.
  1.001  MATH         @CalStep = 201

  1.002  IF           @NumChan > 2
  1.003  MATH         Input = "A&B&C&D"
  1.004  ELSE
  1.005  MATH         Input = "A&B"
  1.006  ENDIF

  1.007  DO
  1.008  TARGET
  1.009  MATH         Step = FMT(@CalStep, "%04.0f")
  1.010  HEAD         -2 Cal Step: CL [V Step]

# First cal step is CL 201. (Subsequent Cal Step are returned from DUT.)
  1.011  IF           @CalStep == 201
  1.012  HEAD         WARM UP FINAL
  1.013  DISP         Ensure all DUT inputs are OPEN.
  1.013  DISP
  1.013  DISP         Note: The time of this step calibration maybe varied as
  1.013  DISP         the DUT reaches a state of stable temperature adequate
  1.013  DISP         for calibration.
  1.014  MATH         @Picture = ""
  1.015  MATH         CalWaitTime = 5

# 190-502/190-504 only
  1.016  ELSEIF       @CalStep == 415
  1.017  O_CAL        Mode = Edge
  1.017  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz
  1.018  MATH         CalWaitTime = 120

  1.019  ELSEIF       @CalStep == 435
  1.020  O_CAL        Mode = Edge
  1.020  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz
  1.021  MATH         CalWaitTime = 120

  1.022  ELSEIF       @CalStep == 455
  1.023  O_CAL        Mode = Edge
  1.023  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz
  1.024  MATH         CalWaitTime = 120

  1.025  ELSEIF       @CalStep == 460
  1.026  O_CAL        Mode = LeveledSine
  1.026  O_CAL        +Voltage = 100 mVpp; Frequency = 50 kHz

  1.027  ELSEIF       @CalStep == 461
  1.028  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.029  O_CAL        Mode = LeveledSine
  1.029  O_CAL        +Volt = 100 mVpp; Freq = [V @FreqMHz] MHz

  1.030  ELSEIF       @CalStep == 462
  1.031  O_CAL        Mode = LeveledSine
  1.031  O_CAL        +Voltage = 100 mVpp; Frequency = 50 kHz

  1.032  ELSEIF       @CalStep == 463
  1.033  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.034  O_CAL        Mode = LeveledSine
  1.034  O_CAL        +Volt = 100 mVpp; Freq = [V @FreqMHz] MHz

  1.035  ELSEIF       @CalStep == 464
  1.036  O_CAL        Mode = LeveledSine
  1.036  O_CAL        +Voltage = 100 mVpp; Frequency = 50 kHz

  1.037  ELSEIF       @CalStep == 465
  1.038  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.039  O_CAL        Mode = LeveledSine
  1.039  O_CAL        +Volt = 100 mVpp; Freq = [V @FreqMHz] MHz

  1.040  ELSEIF       @CalStep == 466
  1.041  O_CAL        Mode = LeveledSine
  1.041  O_CAL        +Voltage = 100 mVpp; Frequency = 50 kHz

  1.042  ELSEIF       @CalStep == 467
  1.043  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.044  O_CAL        Mode = LeveledSine
  1.044  O_CAL        +Volt = 100 mVpp; Freq = [V @FreqMHz] MHz

  1.045  ELSEIF       @CalStep == 475
  1.046  O_CAL        Mode = Edge
  1.046  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz
  1.047  MATH         CalWaitTime = 120

  1.048  ELSEIF       @CalStep == 480
  1.049  O_CAL        Mode = LeveledSine
  1.049  O_CAL        +Voltage = 500 mVpp; Frequency = 50 kHz
  1.050  MATH         CalWaitTime = 3

  1.051  ELSEIF       @CalStep == 481
  1.052  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.053  O_CAL        Mode = LeveledSine
  1.053  O_CAL        +Volt = 500 mVpp; Freq = [V @FreqMHz] MHz
  1.054  MATH         CalWaitTime = 5

  1.055  ELSEIF       @CalStep == 482
  1.056  O_CAL        Mode = LeveledSine
  1.056  O_CAL        +Voltage = 500 mVpp; Frequency = 50 kHz
  1.057  MATH         CalWaitTime = 3

  1.058  ELSEIF       @CalStep == 483
  1.059  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.060  O_CAL        Mode = LeveledSine
  1.060  O_CAL        +Volt = 500 mVpp; Freq = [V @FreqMHz] MHz
  1.061  MATH         CalWaitTime = 5

  1.062  ELSEIF       @CalStep == 484
  1.063  O_CAL        Mode = LeveledSine
  1.063  O_CAL        +Voltage = 500 mVpp; Frequency = 50 kHz
  1.064  MATH         CalWaitTime = 3

  1.065  ELSEIF       @CalStep == 485
  1.066  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.067  O_CAL        Mode = LeveledSine
  1.067  O_CAL        +Volt = 500 mVpp; Freq = [V @FreqMHz] MHz
  1.068  MATH         CalWaitTime = 5

  1.069  ELSEIF       @CalStep == 486
  1.070  O_CAL        Mode = LeveledSine
  1.070  O_CAL        +Voltage = 500 mVpp; Frequency = 50 kHz
  1.071  MATH         CalWaitTime = 3

  1.072  ELSEIF       @CalStep == 487
  1.073  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.074  O_CAL        Mode = LeveledSine
  1.074  O_CAL        +Volt = 500 mVpp; Freq = [V @FreqMHz] MHz
  1.075  MATH         CalWaitTime = 5

  1.076  ELSEIF       @CalStep == 504
  1.077  HEAD         INPUT [V Input] LF-HF GAIN
  1.078  O_CAL        Standby

  1.079  IF           @NumChan > 2
  1.080  DISP         Connect the Calibrator SCOPE output to DUT A, B, C,
  1.080  DISP         and D inputs using 3 BNC tees and short BNC
  1.080  DISP         cables.
  1.080  DISP
  1.080  DISP         Do not use a 50 Ω termintor.
  1.081  MATH         @Picture = "190II_abcd_input_55_scope"

  1.082  ELSE
  1.083  DISP         Connect the Calibrator SCOPE output to DUT A and B
  1.083  DISP         inputs using a BNC tee and short BNC cables.
  1.083  DISP
  1.083  DISP         Do not use a 50 Ω termintor.
  1.084  MATH         @Picture = "190II_ab_input_55_scope"
  1.085  ENDIF

  1.086  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.086  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.087  MATH         CalWaitTime = 20

# 190-502/190-504 only
  1.088  ELSEIF       @CalStep == 510
  1.089  O_CAL        Mode = Edge
  1.089  O_CAL        +Voltage = 2.5 Vpp; Frequency = 1 kHz
  1.090  MATH         CalWaitTime = 120

  1.091  ELSEIF       @CalStep == 530
  1.092  O_CAL        Mode = Edge
  1.092  O_CAL        +Voltage = 2.5 Vpp; Frequency = 1 kHz
  1.093  MATH         CalWaitTime = 120

  1.094  ELSEIF       @CalStep == 550
  1.095  O_CAL        Mode = Edge
  1.095  O_CAL        +Voltage = 2.5 Vpp; Frequency = 1 kHz
  1.096  MATH         CalWaitTime = 120

  1.097  ELSEIF       @CalStep == 570
  1.098  HEAD         ADC TIMING
  1.099  O_CAL        Standby
  1.100  DISP         Connect the Calibrator SCOPE output to DUT A input
  1.100  DISP         using a 50 Ω feedthrough terminator.
  1.101  MATH         @Picture = "190II_a_input_55_scope"
  1.102  O_CAL        Mode = LeveledSine
  1.102  O_CAL        +Voltage = 500 mVpp; Frequency = 50 MHz
  1.103  MATH         CalWaitTime = 120

  1.104  ELSEIF       @CalStep == 580
  1.105  O_CAL        Mode = LeveledSine
  1.105  O_CAL        +Voltage = 2.5 Vpp; Frequency = 50 kHz
  1.106  MATH         CalWaitTime = 3

  1.107  ELSEIF       @CalStep == 581
  1.108  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.109  O_CAL        Mode = LeveledSine
  1.109  O_CAL        +Volt = 2.5 Vpp; Freq = [V @FreqMHz] MHz

  1.110  ELSEIF       @CalStep == 582
  1.111  O_CAL        Mode = LeveledSine
  1.111  O_CAL        +Voltage = 2.5 Vpp; Frequency = 50 kHz

  1.112  ELSEIF       @CalStep == 583
  1.113  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.114  O_CAL        Mode = LeveledSine
  1.114  O_CAL        +Volt = 2.5 Vpp; Freq = [V @FreqMHz] MHz

  1.115  ELSEIF       @CalStep == 584
  1.116  O_CAL        Mode = LeveledSine
  1.116  O_CAL        +Volt = 2.5 Vpp; Freq = 50 kHz

  1.117  ELSEIF       @CalStep == 585
  1.118  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.119  O_CAL        Mode = LeveledSine
  1.119  O_CAL        +Volt = 2.5 Vpp; Freq = [V @FreqMHz] MHz

  1.120  ELSEIF       @CalStep == 586
  1.121  O_CAL        Mode = LeveledSine
  1.121  O_CAL        +Volt = 2.5 Vpp; Freq = 50 kHz

  1.122  ELSEIF       @CalStep == 587
  1.123  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.124  O_CAL        Mode = LeveledSine
  1.124  O_CAL        +Volt = 2.5 Vpp; Freq = [V @FreqMHz] MHz

  1.125  ELSEIF       @CalStep == 590
  1.126  O_CAL        Mode = Edge
  1.126  O_CAL        +Voltage = 2.5 Vpp; Frequency = 1 kHz
  1.127  MATH         CalWaitTime = 120

  1.128  ELSEIF       @CalStep == 599
  1.129  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.129  O_CAL        +Voltage =  10 mVpp; Frequency = 1 kHz
  1.130  MATH         CalWaitTime = 10

  1.131  ELSEIF       @CalStep == 600
  1.132  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.132  O_CAL        +Voltage =  25 mVpp; Frequency = 1 kHz
  1.133  MATH         CalWaitTime = 5

  1.134  ELSEIF       @CalStep == 601
  1.135  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.135  O_CAL        +Voltage = 50 mVpp; Frequency = 1 kHz

  1.136  ELSEIF       @CalStep == 602
  1.137  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.137  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz

  1.138  ELSEIF       @CalStep == 603
  1.139  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.139  O_CAL        +Voltage = 250 mVpp; Frequency = 1 kHz

  1.140  ELSEIF       @CalStep == 604
  1.141  HEAD         INPUT [V Input] LF-HF GAIN
  1.142  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.142  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.143  MATH         CalWaitTime = 10

  1.144  ELSEIF       @CalStep == 605
  1.145  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.145  O_CAL        +Voltage = 1 Vpp; Frequency = 1 kHz

  1.146  ELSEIF       @CalStep == 606
  1.147  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.147  O_CAL        +Voltage = 2.5 Vpp; Frequency = 1 kHz

  1.148  ELSEIF       @CalStep == 607
  1.149  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.149  O_CAL        +Voltage = 5 Vpp; Frequency = 1 kHz

  1.150  ELSEIF       @CalStep == 608
  1.151  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.151  O_CAL        +Voltage = 10 Vpp; Frequency = 1 kHz

  1.152  ELSEIF       @CalStep == 609
  1.153  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.153  O_CAL        +Voltage = 25 Vpp; Frequency = 1 kHz

  1.154  ELSEIF       @CalStep == 610
  1.155  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.155  O_CAL        +Voltage = 50 Vpp; Frequency = 1 kHz
  1.156  MATH         CalWaitTime = 15

  1.157  ELSEIF       @CalStep == 619
  1.158  HEAD         INPUT A&B&C&D POSITION
  1.159  O_CAL        Standby
  1.160  MATH         CalWaitTime = 60

# Added to support firmware V11.xx or later.
  1.161  ELSEIF       @CalStep == 622
  1.162  O_CAL        Standby
  1.163  MATH         CalWaitTime = 5

  1.164  ELSEIF       @CalStep == 624
  1.165  O_CAL        Standby
  1.166  MATH         CalWaitTime = 25

  1.167  ELSEIF       @CalStep == 637
  1.168  O_CAL        Standby
  1.169  MATH         CalWaitTime = 5

  1.170  ELSEIF       @CalStep == 654
  1.171  HEAD         INPUT A LF-HF GAIN ADJUSTMENT
  1.172  O_CAL        Mode = Edge
  1.172  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.173  MATH         CalWaitTime = 120

  1.174  ELSEIF       @CalStep == 656
  1.175  HEAD         INPUT C LF-HF GAIN ADJUSTMENT
  1.176  O_CAL        Standby
  1.177  DISP         Connect the Calibrator SCOPE output to DUT C input
  1.177  DISP         using a 50 Ω feedthrough terminator.
  1.178  MATH         @Picture = "190II_c_input_55_scope"
  1.179  O_CAL        Mode = Edge
  1.179  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.180  MATH         CalWaitTime = 120

  1.181  ELSEIF       @CalStep == 660
  1.182  HEAD         INPUT [V Input] LF-HF GAIN
  1.183  O_CAL        Standby

  1.184  IF           @NumChan > 2
  1.185  DISP         Connect the Calibrator SCOPE output to DUT A, B, C,
  1.185  DISP         and D inputs using 3 BNC tees and short BNC
  1.185  DISP         cables.
  1.185  DISP
  1.185  DISP         Do not use a 50 Ω termintor.
  1.186  MATH         @Picture = "190II_abcd_input_55_scope"

  1.187  ELSE
  1.188  DISP         Connect the Calibrator SCOPE output to DUT A and B
  1.188  DISP         inputs using a BNC tee and short BNC cables.
  1.188  DISP
  1.188  DISP         Do not use a 50 Ω termintor.
  1.189  MATH         @Picture = "190II_ab_input_55_scope"
  1.190  ENDIF

  1.191  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.191  O_CAL        +Voltage = 300 mVpp; Frequency = 1 kHz
  1.192  MATH         CalWaitTime = 30

  1.193  ELSEIF       @CalStep == 662
  1.194  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.194  O_CAL        +Voltage = 2 Vpp; Frequency = 1 kHz

  1.195  ELSEIF       @CalStep == 664
  1.196  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.196  O_CAL        +Voltage = 20 Vpp; Frequency = 1 kHz

# 190-502/190-504 only
  1.197  ELSEIF       @CalStep == 673
  1.198  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.198  O_CAL        +Voltage = 50 Vpp; Frequency = 1 kHz

  1.199  ELSEIF       @CalStep == 674
  1.200  HEAD         INPUT B LF-HF GAIN ADJUSTMENT
  1.201  O_CAL        Standby

  1.202  IF           @NumChan > 2
  1.203  DISP         Connect the Calibrator SCOPE output to DUT B input
  1.203  DISP         using a 50 Ω feedthrough terminator.
  1.204  MATH         @Picture = "190II_4ch_b_input_55_scope"

  1.205  ELSE
  1.206  DISP         Connect the Calibrator SCOPE output to DUT B input
  1.206  DISP         using a 50 Ω feedthrough terminator.
  1.207  MATH         @Picture = "190II_2ch_b_input_55_scope"
  1.208  ENDIF

  1.209  O_CAL        Mode = Edge
  1.209  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.210  MATH         CalWaitTime = 220

  1.211  ELSEIF       @CalStep == 675
  1.212  HEAD         INPUT D LF-HF GAIN ADJUSTMENT
  1.213  O_CAL        Standby
  1.024  DISP         Connect the Calibrator SCOPE output to DUT D input
  1.024  DISP         using a 50 Ω feedthrough terminator.
  1.218  MATH         @Picture = "190II_d_input_55_scope"
  1.220  O_CAL        Mode = Edge
  1.220  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.221  MATH         CalWaitTime = 220

  1.222  ELSEIF       @CalStep == 694
  1.223  HEAD         INPUT C LF-HF GAIN ADJUSTMENT
  1.224  O_CAL        Standby
  1.225  DISP         Connect the Calibrator SCOPE output to DUT C input
  1.225  DISP         using a 50 Ω feedthrough terminator.
  1.226  MATH         @Picture = "190II_c_input_55_scope"
  1.227  O_CAL        Mode = Edge
  1.227  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.228  MATH         CalWaitTime = 120

  1.229  ELSE
  1.230  DISP         Unsupported cal step:  [V @CalStep]
  1.230  DISP
  1.230  DISP         This may be caused by an unsupported DUT firmware rev.
  1.230  DISP
  1.230  DISP         Contact Fluke MET/CAL Gold support.
  1.230  DISP
  1.230  DISP         Press Advance to terminate the procedure now.
  1.231  MATH         @Abort = 1
  1.232  END
  1.233  ENDIF

  1.234  PORT         CL [V @CalStep]
  1.235  WAIT         -t [V CalWaitTime] Calibration is in progress...
  1.236  CALL         Sub Fluke 190II Cal Adjust Error RS-232 /O_CAL
  1.237  MATH         @Abort = @FatalError

# If calibration succeeded, the subsequent cal step number is returned.
# A zero "0" is returned when calibration is complete.
  1.238  IF           NOT(@FatalError) && NOT(@CalError)
  1.239  PORT         [I]
  1.240  MATH         @CalStep = MEM
  1.241  ENDIF

# Cal steps greater than 750 are performed using the meter calibrator FSC.
  1.242  UNTIL        (@CalStep > 750) || @Abort

  1.243  HEAD         -2
  1.244  HEAD
  1.245  O_CAL        Standby
  1.246  END
